Uploaded image for project: 'Flink'
  1. Flink
  2. FLINK-17280 Migrate existing flink-benchmarks under apache project
  3. FLINK-16850

Make flink-benchmark align with different releases of Flink

    XMLWordPrintableJSON

    Details

    • Type: Sub-task
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 1.10.0
    • Fix Version/s: None
    • Component/s: Benchmarks
    • Labels:
      None

      Description

      Currently, flink-benchmark does not have any releases to align with release branches of Flink. Just change the flink.version when executing benchmark is not enough as flink-benchmark always use the latset interfaces which might not existed in previous Flink versions. Take FLINK-15222 for example, this let flink-benchmark to use new version of interface which is only existed after Flink-1.11

      I think we could also let flink-benchmark to have releases or at least specific branch to align with releases of Flink.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              yunta Yun Tang
            • Votes:
              0 Vote for this issue
              Watchers:
              8 Start watching this issue

              Dates

              • Created:
                Updated: